%define _without_test 1
%define module_version 1.02
%define module_name App-SimpleScan-Plugin-Retry
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: implement retry pragma/command line option
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MC/MCMAHON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
`App::SimpleScan::Plugin::Retry' allows `simple_scan' to use the
`retry' function implemented by the `WWW::Mechanize::Pluggable'
retry plugin.

This allows you to retry a transaction multiple times; it checks
`$mech-'success> to see if the transaction was successful. 

If you need more sophisticated retry testing, you're better off scripting
this yourself using `WWW::Mechanize::Pluggable' and 
`WWW::Mechanize::Plugin::Retry'. One way is to use the `%%%%retry' pragma in input to 
`simple_scan --gen' to generate skeleton code, and then replace
the call to `retry' to `retry_if' with the appropriate 
status check subroutine (see `WWW::Mechanize::Pluggable::Retry'
for more details).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%changelog
* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

